%%%
%% ejaps.cls (LaTeX2e)
%% Annals of the Japan Association for Philosophy of Science
%%     by Motoaki Sato (ULS & Company), 2007-2015. 
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{ejaps}
%%[2008/12/10 v1.0 for Annals of the Japan Association 
%% for Philosophy of Science]
%%[2009/01/21 v1.1 for Annals of the Japan Association 
%% for Philosophy of Science]
%%[2011/03/22 v1.2 for Annals of the Japan Association 
%% for Philosophy of Science]
  [2015/06/25 v1.3 for Annals of the Japan Association 
   for Philosophy of Science]

\def\ejapsline@warning{\ClassWarning{ejaps}}
\def\ejaps@warning{\ClassWarningNoLine{ejaps}}
\@ifundefined{@needsPformat}{\let\inhibitglue\relax}{%
 \newdimen\@JQ
  \@JQ=0.7392507pt
 \newdimen\@Q
  \@Q=0.71144pt
 \newdimen\@EM
  \@EM=.03125em
}

\newif\if@Proof \@Prooffalse
\DeclareOption{Proof}{\@Prooftrue}
\newif\if@cameraready \@camerareadyfalse
\DeclareOption{cameraready}{\@camerareadytrue}
\newif\if@nono \@nonofalse
\DeclareOption{nono}{\@nonotrue}
\newif\if@offprint \@offprintfalse
\DeclareOption{offprint}{\@offprinttrue}

\newif\if@bkreview \@bkreviewfalse
\DeclareOption{bookreview}{\@bkreviewtrue}

\newcommand{\@ptsize}{}
\newif\if@restonecol
\newif\if@enablejfam \@enablejfamtrue
\newif\if@mathrmmc \@mathrmmcfalse
\DeclareOption{b5paper}{%
  \setlength\paperheight {257mm}
  \setlength\paperwidth  {182mm}}
\DeclareOption{10pt}{\renewcommand{\@ptsize}{0}}
\DeclareOption{11pt}{\renewcommand{\@ptsize}{1}}
\DeclareOption{12pt}{\renewcommand{\@ptsize}{2}}
\DeclareOption{oneside}{\@twosidefalse}
\DeclareOption{twoside}{\@twosidetrue}
\DeclareOption{onecolumn}{\@twocolumnfalse}
\DeclareOption{twocolumn}{\@twocolumntrue}
%%\DeclareOption{titlepage}{\@titlepagetrue}
%%\DeclareOption{notitlepage}{\@titlepagefalse}
\DeclareOption{leqno}{\input{leqno.clo}}
\if@cameraready
 \DeclareOption{fleqn}{\input{japs-fleqn.sty}}
\else
 \DeclareOption{fleqn}{\input{fleqn.clo}}
\fi
\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}}
\DeclareOption{disablejfam}{\@enablejfamfalse}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\DeclareOption{final}{\setlength\overfullrule{0pt}}

\ExecuteOptions{b5paper,10pt,twoside,onecolumn,final}
\ProcessOptions\relax

%\if@cameraready
% \input ejaps.fd
%\else
%%% for platex
%\@ifundefined{@needsPformat}{}{%
%\DeclareFontShape{JY1}{mc}{m}{n}{%
%  <5>     sfixed * [5.1748] jis %  7Q
%  <6>     sfixed * [5.9141] jis %  8Q
%  <7>     sfixed * [7.3926] jis % 10Q
%  <8>     sfixed * [8.1318] jis % 11Q
%  <9>     sfixed * [8.8711] jis % 12Q
%  <10>    sfixed * [9.6104] jis % 13Q
%  <10.95> sfixed * [11.089] jis % 15Q
%  <12>    sfixed * [13.307] jis % 18Q
%  <14.4>  sfixed * [14.785] jis % 20Q
%  <17.28> sfixed * [17.742] jis % 24Q
%  <20.74> sfixed * [20.699] jis % 28Q
%  <24.88> sfixed * [23.656] jis % 32Q
%  <->                       jis % 
%}{}
%\DeclareFontShape{JY1}{mc}{bx}{n}{%
%  <5>     sfixed * [5.1748] jisg
%  <6>     sfixed * [5.9141] jisg
%  <7>     sfixed * [7.3926] jisg
%  <8>     sfixed * [8.1318] jisg
%  <9>     sfixed * [8.8711] jisg
%  <10>    sfixed * [9.6104] jisg
%  <10.95> sfixed * [11.089] jisg
%  <12>    sfixed * [13.307] jisg
%  <14.4>  sfixed * [14.785] jisg
%  <17.28> sfixed * [17.742] jisg
%  <20.74> sfixed * [20.699] jisg
%  <24.88> sfixed * [23.656] jisg
%  <->                       jisg
%}{}
%\DeclareFontShape{JY1}{gt}{m}{n}{%
%  <5>     sfixed * [5.1748] jisg
%  <6>     sfixed * [5.9141] jisg
%  <7>     sfixed * [7.3926] jisg
%  <8>     sfixed * [8.1318] jisg
%  <9>     sfixed * [8.8711] jisg
%  <10>    sfixed * [9.6104] jisg
%  <10.95> sfixed * [11.089] jisg
%  <12>    sfixed * [13.307] jisg
%  <14.4>  sfixed * [14.785] jisg
%  <17.28> sfixed * [17.742] jisg
%  <20.74> sfixed * [20.699] jisg
%  <24.88> sfixed * [23.656] jisg
%  <->                       jisg
%}{}
%\DeclareFontShape{JY1}{gt}{bx}{n}{%
%  <5>     sfixed * [5.1748] jisg
%  <6>     sfixed * [5.9141] jisg
%  <7>     sfixed * [7.3926] jisg
%  <8>     sfixed * [8.1318] jisg
%  <9>     sfixed * [8.8711] jisg
%  <10>    sfixed * [9.6104] jisg
%  <10.95> sfixed * [11.089] jisg
%  <12>    sfixed * [13.307] jisg
%  <14.4>  sfixed * [14.785] jisg
%  <17.28> sfixed * [17.742] jisg
%  <20.74> sfixed * [20.699] jisg
%  <24.88> sfixed * [23.656] jisg
%  <->                       jisg
%}{}
%%%
% \DeclareFontShape{JY1}{mc}{m}{it}{<->ssub*mc/m/n}{}
% \DeclareFontShape{JY1}{gt}{m}{it}{<->ssub*gt/m/n}{}
% \DeclareFontShape{JY1}{mc}{bx}{it}{<->ssub*mc/bx/n}{}
% \DeclareFontShape{JY1}{gt}{bx}{it}{<->ssub*gt/m/n}{}
% \DeclareFontShape{JY1}{mc}{m}{sc}{<->ssub*mc/m/n}{}
% \DeclareFontShape{JY1}{gt}{m}{sc}{<->ssub*gt/m/n}{}
% \DeclareFontShape{JY1}{mc}{bx}{sc}{<->ssub*mc/bx/n}{}
% \DeclareFontShape{JY1}{gt}{bx}{sc}{<->ssub*gt/m/n}{}
% \DeclareFontShape{JY1}{mc}{m}{sl}{<->ssub*mc/m/n}{}
% \DeclareFontShape{JY1}{gt}{m}{sl}{<->ssub*gt/m/n}{}
% \DeclareFontShape{JY1}{mc}{bx}{sl}{<->ssub*mc/bx/n}{}
% \DeclareFontShape{JY1}{gt}{bx}{sl}{<->ssub*gt/m/n}{}
% \DeclareFontShape{JT1}{mc}{m}{it}{<->ssub*mc/m/n}{}
% \DeclareFontShape{JT1}{gt}{m}{it}{<->ssub*gt/m/n}{}
% \DeclareFontShape{JT1}{mc}{bx}{it}{<->ssub*mc/bx/n}{}
% \DeclareFontShape{JT1}{gt}{bx}{it}{<->ssub*gt/m/n}{}
% \DeclareFontShape{JT1}{mc}{m}{sc}{<->ssub*mc/m/n}{}
% \DeclareFontShape{JT1}{gt}{m}{sc}{<->ssub*gt/m/n}{}
% \DeclareFontShape{JT1}{mc}{bx}{sc}{<->ssub*mc/bx/n}{}
% \DeclareFontShape{JT1}{gt}{bx}{sc}{<->ssub*gt/m/n}{}
% \DeclareFontShape{JT1}{mc}{m}{sl}{<->ssub*mc/m/n}{}
% \DeclareFontShape{JT1}{gt}{m}{sl}{<->ssub*gt/m/n}{}
% \DeclareFontShape{JT1}{mc}{bx}{sl}{<->ssub*mc/bx/n}{}
% \DeclareFontShape{JT1}{gt}{bx}{sl}{<->ssub*gt/m/n}{}
%}
%\fi

\DeclareFontShape{OT1}{cmr}{m}{n}%
     {%
      <-6>cmr5%
      <6-7>cmr6%
      <7-8>cmr7%
      <8-9>cmr8%
      <9-10>cmr9%
      <10-12>cmr10%
      <12-17>cmr12%
      <17->cmr17%
      }{}
\DeclareFontShape{OT1}{cmr}{m}{sl}%
     {%
      <-9>cmsl8%
      <9-10>cmsl9%
      <10-12>cmsl10%
      <12->cmsl12%
      }{}
\DeclareFontShape{OT1}{cmr}{m}{it}%
     {%
      <-8>cmti7%
      <8-9>cmti8%
      <9-10>cmti9%
      <10-12>cmti10%
      <12->cmti12%
      }{}
\DeclareFontShape{OT1}{cmr}{m}{sc}%
     {%
      <->cmcsc10%
      }{}
\DeclareFontShape{OT1}{cmr}{m}{ui}
     {%
      <->cmu10%
      }{}
\DeclareFontShape{OT1}{cmr}{b}{n}
     {%
      <->cmb10%
      }{}
\DeclareFontShape{OT1}{cmr}{bx}{n}
     {%
      <-6>cmbx5%
      <6-7>cmbx6%
      <7-8>cmbx7%
      <8-9>cmbx8%
      <9-10>cmbx9%
      <10-12>cmbx10%
      <12->cmbx12%
      }{}
\DeclareFontShape{OT1}{cmr}{bx}{sl}
     {%
      <->cmbxsl10%
      }{}
\DeclareFontShape{OT1}{cmr}{bx}{it}
     {%
      <->cmbxti10%
      }{}
\DeclareFontShape{OT1}{cmr}{bx}{ui}
     {%
      <->sub*cmr/m/ui
      }{}

% \DeclareFontFamily{OML}{cmm}{\skewchar\font127 }
\DeclareFontShape{OML}{cmm}{m}{it}
    { <5> <6> <7> <8> <9> gen * cmmi
      <10><10.95>cmmi10
%     <12><14.4><17.28><20.74><24.88>cmmi12
      <12->cmmi12
      <->cmmi10
      }{}
\DeclareFontShape{OML}{cmm}{b}{it}{%
      <5> <6> <7> <8> <9> gen * cmmib
%     <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88> cmmib10
      <10-> cmmib10
      <->cmmib10
      }{}
\DeclareFontShape{OML}{cmm}{bx}{it}
   {<-> ssub * cmm/b/it}{}

% \DeclareFontFamily{OMS}{cmsy}{\skewchar\font48 }
\DeclareFontShape{OMS}{cmsy}{m}{n}{%
      <5> <6> <7> <8> <9> <10> gen * cmsy
%     <10.95> <12> <14.4> <17.28> <20.74> <24.88> cmsy10
      <10.95-> cmsy10
      <-> cmsy10
      }{}
\DeclareFontShape{OMS}{cmsy}{b}{n}{%
      <5> <6> <7> <8> <9> gen * cmbsy
%     <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88>cmbsy10
      <10-> cmbsy10
      <-> cmbsy10
      }{}

%% from /usr/local/share/texmf/tex/latex/base/ulasy.fd
\DeclareFontFamily{U}{lasy}{}
\DeclareFontShape{U}{lasy}{m}{n}{ <5> <6> <7> <8> <9> gen * lasy
      <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88>lasy10
      <-> lasy10}{}
\DeclareFontShape{U}{lasy}{b}{n}{ <-10> ssub * lasy/m/n
     <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88>lasyb10
      <-> lasyb10}{}

%% from /usr/local/share/texmf/tex/latex/amsfonts/umsa.fd
\DeclareFontFamily{U}{msa}{}
\DeclareFontShape{U}{msa}{m}{n}{
  <5> <6> <7> <8> <9> gen * msam
  <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88> msam10
  <-> msam10
  }{}

%% from /usr/local/share/texmf/tex/latex/amsfonts/umsb.fd
\DeclareFontFamily{U}{msb}{}
\DeclareFontShape{U}{msb}{m}{n}{
  <5> <6> <7> <8> <9> gen * msbm
  <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88> msbm10
  <-> msbm10
  }{}

\renewcommand{\normalsize}{%
 \@setfontsize\normalsize\@xpt{4.75mm}%
 \abovedisplayskip 10\p@ \@plus2\p@ \@minus5\p@
 \abovedisplayshortskip \z@ \@plus3\p@
 \belowdisplayshortskip 6\p@ \@plus3\p@ \@minus3\p@
 \belowdisplayskip \abovedisplayskip
 \let\@listi\@listI}

\normalsize
\@ifundefined{Cvs}{\newdimen\Cvs}{}
\Cvs\baselineskip

\newcommand{\small}{%
 \@setfontsize\small\@ixpt{3.75mm}% footnote+bib
 \abovedisplayskip 8.5\p@ \@plus3\p@ \@minus4\p@
 \abovedisplayshortskip \z@ \@plus2\p@
 \belowdisplayshortskip 4\p@ \@plus2\p@ \@minus2\p@
 \def\@listi{\leftmargin\leftmargini
             \topsep 4\p@ \@plus2\p@ \@minus2\p@
             \parsep 2\p@ \@plus\p@ \@minus\p@
             \itemsep \parsep}%
 \belowdisplayskip \abovedisplayskip}

\newcommand{\footnotesize}{%
 \@setfontsize\footnotesize\@viiipt{3.75mm}%
 \abovedisplayskip 6\p@ \@plus2\p@ \@minus4\p@
 \abovedisplayshortskip \z@ \@plus\p@
 \belowdisplayshortskip 3\p@ \@plus\p@ \@minus2\p@
 \def\@listi{\leftmargin\leftmargini
             \topsep 3\p@ \@plus\p@ \@minus\p@
             \parsep 2\p@ \@plus\p@ \@minus\p@
             \itemsep \parsep}%
 \belowdisplayskip \abovedisplayskip}

\newcommand{\scriptsize}{\@setfontsize\scriptsize\@viipt\@viiipt}
\newcommand{\tiny}{\@setfontsize\tiny\@vpt\@vipt}
\newcommand{\large}{\@setfontsize\large\@xiipt{17}}
\newcommand{\Large}{\@setfontsize\Large\@xivpt{21}}
\newcommand{\LARGE}{\@setfontsize\LARGE\@xviipt{25}}
\newcommand{\huge}{\@setfontsize\huge\@xxpt{28}}
\newcommand{\Huge}{\@setfontsize\Huge\@xxvpt{33}}

\parindent7mm % 14Qx2

\setlength\smallskipamount{3\p@ \@plus 1\p@ \@minus 1\p@}
\setlength\medskipamount{6\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\bigskipamount{12\p@ \@plus 4\p@ \@minus 4\p@}

\headheight2.75mm
\headsep5.65mm
\topskip10pt
\footskip6.5mm

\setlength\maxdepth{.5\topskip}
\textwidth 129.5mm
%\@settopoint\textwidth
\textheight 39\Cvs
\advance \textheight \topskip
\advance \textheight .1mm
%\@settopoint\textheight
\topmargin\z@
%\@settopoint\topmargin
\if@twocolumn
 \setlength\marginparsep{10\p@}
\else
 \setlength\marginparsep{10\p@}
\fi
\setlength\marginparpush{5\p@}

\marginparwidth 2in
%\@settopoint\marginparwidth

\topmargin\paperheight
\advance \topmargin -\textheight
\advance \topmargin -\headheight
\advance \topmargin -\headsep
\advance \topmargin -\footskip
\divide \topmargin \tw@
\advance \topmargin -1.75mm
\advance \topmargin -1in
%\@settopoint\topmargin
\oddsidemargin\paperwidth
\advance \oddsidemargin -\textwidth
\divide \oddsidemargin \tw@
\advance \oddsidemargin -1in
%\@settopoint\oddsidemargin
\evensidemargin\oddsidemargin
%\@settopoint\evensidemargin

\footnotesep2.625mm % 15H
\skip\footins .75\Cvs \@plus 4\p@ \@minus 2\p@
\floatsep 1\Cvs \@plus 2\p@ \@minus 2\p@
\textfloatsep 1.5\Cvs \@plus 2\p@ \@minus 4\p@
\intextsep 1.5\Cvs \@plus 2\p@ \@minus 2\p@
\dblfloatsep 1\Cvs \@plus 2\p@ \@minus 2\p@
\dbltextfloatsep 1.5\Cvs \@plus 2\p@ \@minus 4\p@

\setlength\@fptop{0\p@ \@plus 1fil}
\setlength\@fpsep{8\p@ \@plus 2fil}
\setlength\@fpbot{0\p@ \@plus 1fil}
\setlength\@dblfptop{0\p@ \@plus 1fil}
\setlength\@dblfpsep{8\p@ \@plus 2fil}
\setlength\@dblfpbot{0\p@ \@plus 1fil}
\setlength\partopsep{2\p@ \@plus 1\p@ \@minus 1\p@}

\def\@listi{\leftmargin\leftmargini
  \parsep 4\p@ \@plus2\p@ \@minus\p@
  \topsep 8\p@ \@plus2\p@ \@minus4\p@
  \itemsep4\p@ \@plus2\p@ \@minus\p@}
\let\@listI\@listi
\@listi
\def\@listii{\leftmargin\leftmarginii
   \labelwidth\leftmarginii \advance\labelwidth-\labelsep
   \topsep  4\p@ \@plus2\p@ \@minus\p@
   \parsep  2\p@ \@plus\p@  \@minus\p@
   \itemsep\parsep}
\def\@listiii{\leftmargin\leftmarginiii
   \labelwidth\leftmarginiii \advance\labelwidth-\labelsep
   \topsep 2\p@  \@plus\p@\@minus\p@
   \parsep\z@
   \partopsep \p@ \@plus\z@ \@minus\p@
   \itemsep\topsep}
\def\@listiv {\leftmargin\leftmarginiv
              \labelwidth\leftmarginiv
              \advance\labelwidth-\labelsep}
\def\@listv  {\leftmargin\leftmarginv
              \labelwidth\leftmarginv
              \advance\labelwidth-\labelsep}
\def\@listvi {\leftmargin\leftmarginvi
              \labelwidth\leftmarginvi
              \advance\labelwidth-\labelsep}

\columnsep 2em
\columnseprule 0\p@
\lineskip 1\p@ 
\normallineskip 1\p@
\renewcommand{\baselinestretch}{}
\parskip\z@

\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301

\setcounter{topnumber}{5}% 2
\setcounter{bottomnumber}{4}% 1
\setcounter{totalnumber}{9}% 3
\setcounter{dbltopnumber}{5}% 2
\renewcommand{\topfraction}{.95}% .7
\renewcommand{\bottomfraction}{.95}% .3
\renewcommand{\textfraction}{.05}% .2
\renewcommand{\floatpagefraction}{.05}% .5
\renewcommand{\dbltopfraction}{.95}% .7
\renewcommand{\dblfloatpagefraction}{.05}% .5

\if@Proof
 \def\@Rtop{\rlap{\smash{\rule[-\headsep]{0.05mm}{10mm}%
  \rule[-\headsep]{10mm}{0.05mm}}}}
 \def\@Ltop{\llap{\smash{\rule[-\headsep]{10mm}{0.05mm}%
  \rule[-\headsep]{0.05mm}{10mm}}}}
 \def\@Rbot{\rlap{\smash{\raisebox{1\footskip}
  {\rule[-10mm]{0.05mm}{10mm}\rule{10mm}{0.05mm}}}}}
 \def\@Lbot{\llap{\smash{\raisebox{1\footskip}
  {\rule{10mm}{0.05mm}\rule[-10mm]{0.05mm}{10mm}}}}}
\else
 \let\@Rtop\relax\let\@Ltop\relax\let\@Rbot\relax\let\@Lbot\relax
\fi

\def\volpageoffset#1{\gdef\@volpageoffset{#1}}
\def\@volpageoffset{}
\def\the@volpage{%
 \ifx\@volpageoffset\empty
  \thepage
 \else
  \@tempcnta\@volpageoffset\relax
  \advance \@tempcnta \m@ne
  \advance \@tempcnta \c@page
  \the\@tempcnta
 \fi
}

\def\Year#1{%
 \def\@tempa{#1}%
 \ifx\@tempa\empty
  \gdef\@Year{20xx}%
 \else
  \edef\@tempb{\zap@space#1 \@empty}%
  \afterassignment\remove@to@nnil
  \count@ 0\@tempb\relax\@nnil
  \ifnum\count@=\z@
   \xdef\@Year{20xx}%
  \else
   \xdef\@Year{\zap@space#1 \@empty}%
  \fi
 \fi
}
\def\@Year{201x}

\def\Vol#1{%
 \def\@tempa{#1}%
 \ifx\@tempa\empty
  \gdef\@Vol{xx}%
 \else
  \edef\@tempb{\zap@space#1 \@empty}%
  \afterassignment\remove@to@nnil
  \count@ 0\@tempb\relax\@nnil
  \ifnum\count@=\z@
   \gdef\@Vol{xx}%
  \else
   \gdef\@Vol{\zap@space#1 \@empty}%
  \fi
 \fi
}
\def\@Vol{xx}%

\def\No#1{\gdef\@No{#1}}
\def\@No{x}

\def\nombre@font{\normalfont\footnotesize}
\def\head@font{\normalfont\footnotesize}% \fontsize{8.2}{\z@}\selectfont

\def\ps@empty{\let\ps@jpl@in\ps@plain%
 \def\@oddhead{\@Ltop\hfil\@Rtop}%
 \def\@oddfoot{\@Lbot\hfil\@Rbot}%
 \let\@evenhead\@oddhead
 \let\@evenfoot\@oddfoot
 \let\@mkboth\@gobbletwo
}
\def\ps@plain{\let\@mkboth\@gobbletwo
 \let\ps@jpl@in\ps@plain
 \def\@evenhead{\@Ltop\hfil\@Rtop}%
 \def\@evenfoot{\@Lbot\hfil\@Rbot}%
 \def\@oddhead{\@Ltop\hfil\@Rtop}%
 \def\@oddfoot{\@Lbot\hfil\@Rbot}%
}
\let\ps@jpl@in\ps@plain

\def\ps@ejaps{%
 \def\@oddhead{\@Ltop\head@font
  \if@nono\hfil\else
   \hbox to \z@{\hskip2mm No.\,\@No\hss}\hfil
  \fi
  \head@title\hfil
  \hbox to \z@{\hss\thepage\hskip2mm}\@Rtop}%
 \def\@evenhead{\@Ltop\head@font
  \hbox to \z@{\hskip2mm \thepage\hss}\hfil
  \output@headauthorlist\hfil
  \hbox to \z@{\hss Vol.\,\@Vol\hskip2mm}\@Rtop}%
 \def\@oddfoot{\@Lbot\hfil{\nombre@font ---\ \the@volpage\ ---}\hfil\@Rbot}%
 \def\@evenfoot{\@Lbot\hfil{\nombre@font ---\ \the@volpage\ ---}\hfil\@Rbot}%
 \let\@mkboth\markboth
 \let\sectionmark\@gobble
 \let\subsectionmark\@gobble
}

\def\ps@FPejaps{% only odd page
 \def\@oddhead{\@Ltop\head@font
  \textsl{Annals of the Japan Association for Philosophy of Science} 
  Vol.\@Vol
  \if@nono\ \else \unskip,\ No.\@No\ \fi
  (\@Year)\hskip1em \JAPSpage@range\hfil
  \thepage\hskip2mm
  \@Rtop}%
 \let\@evenhead\@oddhead
 \def\@oddfoot{\@Lbot\hfil{\nombre@font ---\ \the@volpage\ ---}\hfil\@Rbot}%
 \def\@evenfoot{\@Lbot\hfil{\nombre@font ---\ \the@volpage\ ---}\hfil\@Rbot}%
 \let\@mkboth\markboth
 \let\sectionmark\@gobble
 \let\subsectionmark\@gobble
}

%\def\ps@bothstyle{\let\ps@jpl@in\ps@footnombre
% \def\@evenhead{\@Ltop\leftmark\hfil\@Rtop}%
% \def\@evenfoot{\@Lbot\thepage\hfil\@Rbot}%
% \def\@oddhead{\@Ltop\hfil\rightmark\@Rtop}%
% \def\@oddfoot{\@Lbot\hfil\thepage\@Rbot}%
% \let\@mkboth\markboth
% \let\sectionmark\@gobble
% \let\subsectionmark\@gobble
%}

\def\title{\@ifnextchar[% ]
 {\d@title}{\s@title}}
\def\d@title[#1]#2{%
 \gdef\head@title{#1}%
 \gdef\@title{#2}%
 \measure@head{#1}%
}
\def\s@title#1{%
 \gdef\head@title{\def\\{\unskip\ignorespaces}#1}%
 \gdef\@title{#1}%
 \measure@head{#1}%
}
\def\@title{}
\def\head@title{}

\def\subtitle#1{\gdef\@subtitle{#1}}
\def\@subtitle{}

\def\measure@head#1{%
 \setbox\@tempboxa\hbox{\def\\{\unskip\ignorespaces}%
  \head@font #1}%
 \ifdim \wd\@tempboxa > 105mm
  \ejaps@warning{header is too long. make it shorter. 
  ^^J\@spaces For example, \string\title[header title]{title}}%
 \fi
}

\newtoks\@authorlist
\newcount\@authorcnt
\newcount\@alcnt
%\newcount\p@alcnt
% \p@alcnt20\relax
\newcount\total@nr
%\newcount\total@alcnt

\def\authorlist#1{%
 \@authorlist={#1}\the\@authorlist
}

\def\authorentry#1#2{\@ifnextchar[% ]
 {\@aeP{#1}{#2}}{\@ae{#1}{#2}}}

%% from jasj.cls
\def\@ae#1#2{%
 \@tempcnta\z@
 \advance \@authorcnt \@ne
 %% author label
 \get@al{#2}%
 %\process@headname{#1}%
 %\if@offprint
 % \let\plural@affi\relax
 %\fi
 \@temptokena{#1}%
 \setbox\@tempboxa\hbox{\spaceskip100mm #1}%
 \ifdim \wd\@tempboxa < 100mm
  \ejaps@warning{add a space between first and second names of "#1"}%
  \@temptokena{name #1}%
 \else
  \@temptokena{#1}%
 \fi
 %% format author's name in English
 \def\tmp@name##1 ##2\@nil{##1 \protect\textsc{##2}}%
 \protected@edef\fmt@authorname{%
   \expandafter\tmp@name\the\@temptokena\@nil}%
 %% author's names on header
 \expandafter\protected@xdef\csname @Hauthorname\number\@authorcnt\endcsname{%
  \fmt@authorname}%
 %% author's name in English
 \expandafter\protected@xdef\csname @Eauthorname\number\@authorcnt\endcsname{%
  \fmt@authorname\kern\z@\plural@affi}%
 \global\total@nr\@authorcnt
 \def\plural@affi{}%
}

%% present affiliate
%\def\@aeP#1#2#3[#4]{%
%}

\def\get@al#1{%
 \def\al@none{none}\def\@tempaffi{#1}%
 \ifx\al@none\@tempaffi\else
  \@for\get@label:=#1\do{%
   \@ifundefined{al@\get@label}%
    {%
     \global\advance \@alcnt \@ne
     \expandafter\xdef\csname al@\get@label\endcsname{\the\@alcnt}%
     \global\advance \@tempcnta \@ne
     \protected@xdef\plural@affi{\plural@affi
      \ifnum\@tempcnta=\@ne
       $^{\ejaps@fnsymbol{\csname al@\get@label\endcsname}}$%
      \else
       $^{,\ejaps@fnsymbol{\csname al@\get@label\endcsname}}$%
      \fi
     }%
    }%
    {%
     \global\advance \@tempcnta \@ne
     \protected@xdef\plural@affi{\plural@affi
      \ifnum\@tempcnta=\@ne
       $^{\ejaps@fnsymbol{\csname al@\get@label\endcsname}}$%
      \else
       $^{,\ejaps@fnsymbol{\csname al@\get@label\endcsname}}$%
      \fi
     }%
    }%
  }%
 \fi
}
\def\plural@affi{}

\newcount\chk@alcnt

\def\affiliate[#1]#2#3{%
 \advance \chk@alcnt \@ne
 \@ifundefined{al@#1}%
  {\expandafter\def\csname al@#1\endcsname{1}%
   \ejaps@warning{Check the "#1" label, it does not correspond to
     ^^J\@spaces any labels in \string\authorentry\space command}%
  }{}%
 \let\@fnsymbol\ejaps@fnsymbol
 \def\tmp@affiliate{#3}%
 \protected@xdef\@eaffiliate{%
  \@eaffiliate
  \protect\footnotetext[\csname al@#1\endcsname]{#2%
   \ifx\tmp@affiliate\empty\else
    \protect\\ #3%
   \fi
  }}%
}
\def\@eaffiliate{}

\def\breakauthorline#1{%
 \@for\@breakauthor:=#1\do{%
  \expandafter\gdef\csname @breakauthorline\@breakauthor\endcsname{\unskip\\}%
 }%
  \@authorcnt=\z@
  \loop\ifnum\@authorcnt<\total@nr
   \advance \@authorcnt \@ne
    \@ifundefined{@breakauthorline\number\@authorcnt}%
     {\expandafter\gdef\csname @breakauthorline\number\@authorcnt\endcsname{%
      \relax}}
     {\relax}%
  \repeat
}
%\breakauthorline{3,6}

\def\output@Eauthorlist{%
 \@authorcnt\z@
 \@tempcnta\total@nr \advance \@tempcnta -\@ne
  \loop
   \ifnum \@authorcnt < \total@nr
    \advance \@authorcnt \@ne 
    \ifnum \@authorcnt < \@tempcnta
     \ignorespaces
     \csname @Eauthorname\number\@authorcnt\endcsname\unskip, 
     \csname @breakauthorline\number\@authorcnt\endcsname
    \else
     \ifnum \@authorcnt=\total@nr
      \ignorespaces
      \csname @Eauthorname\number\@authorcnt\endcsname\unskip\ignorespaces
      \csname @breakauthorline\number\@authorcnt\endcsname
     \else
      \ignorespaces
      \csname @Eauthorname\number\@authorcnt\endcsname\unskip\ 
      \csname @breakauthorline\number\@authorcnt\endcsname
      %%     \ifnum \total@nr=\tw@\ \else , \fi
      and\ \ignorespaces
     \fi
    \fi
  \repeat
}

\def\headauthorlist#1{\gdef\@headauthorlist{#1}}
\def\@headauthorlist{}

\def\output@headauthorlist{% for header
 \ifx\@headauthorlist\empty
  \@authorcnt\z@
  \@tempcnta\total@nr \advance \@tempcnta -\@ne
   \loop
    \ifnum \@authorcnt < \total@nr
     \advance \@authorcnt \@ne 
     \ifnum \@authorcnt < \@tempcnta
      \ignorespaces
      \csname @Hauthorname\number\@authorcnt\endcsname\unskip, 
     \else
      \ifnum \@authorcnt=\total@nr
       \ignorespaces
       \csname @Hauthorname\number\@authorcnt\endcsname\unskip\ignorespaces
      \else
       \ignorespaces
       \csname @Hauthorname\number\@authorcnt\endcsname\unskip\ 
       %%     \ifnum \total@nr=\tw@\ \else , \fi
       and\ \ignorespaces 
      \fi
     \fi
   \repeat
 \else
  \textsc{\@headauthorlist}%
 \fi
}

\long\def\titlenote#1{%
 \global\advance \@alcnt \@ne
 \global\advance \chk@alcnt \@ne %% --> \maketitle
 \gdef\@titlenote{#1}}
\def\@titlenote{}

\newbox\@abstractbox
\def\abstract{%
 \global\setbox\@abstractbox\hbox\bgroup
  \small\baselineskip4.5mm
  \@tempdima\textwidth
  \advance \@tempdima -14mm %\parindent7mm % 14Qx2
  \begin{minipage}[t]{\@tempdima}
   \small\baselineskip4.5mm
   \parindent6.5mm % 13Qx2 --> OK
   \noindent
   \hfil {\normalsize\bfseries Abstract}\par
   \vskip2.75mm % 29H 29-18(\baselineskip)=11
   \ignorespaces
}
\def\endabstract{\par
   \unskip\ignorespaces
  \end{minipage}%
 \egroup
}

\newbox\@keywordsbox
\def\keywords{%
 \global\setbox\@keywordsbox\hbox\bgroup
  \small\baselineskip4.5mm
  \@tempdima\textwidth
  \advance \@tempdima -14mm
  \begin{minipage}[t]{\@tempdima}
   \small\baselineskip4.5mm
   \parindent6.5mm % 13Qx2 --> OK
   \noindent
   {\normalsize\bfseries Key words:}\ 
   \ignorespaces
}
\def\endkeywords{\par
   \unskip\ignorespaces
  \end{minipage}%
 \egroup
}

%\def\@fnsymbol#1{\ensuremath{\ifcase#1\or *\or \dagger\or \ddagger \or
% \mathchar "278\or \mathchar "27B\or \|\or **\or \dagger\dagger\or
% \ddagger\ddagger \else\@ctrerr\fi}}

\def\ejaps@fnsymbol#1{%
 \ifcase#1\or
  {*}\or
  {*}\kern-.15ex{*}\or
  {*}\kern-.15ex{*}\kern-.15ex{*}\or
  {*}\kern-.15ex{*}\kern-.15ex{*}\kern-.15ex{*}\or
  {\dagger}\or {\dagger}\kern-.15ex{\dagger}\or
  {\dagger}\kern-.15ex{\dagger}\kern-.15ex{\dagger}\or
  {\dagger}\kern-.15ex{\dagger}\kern-.15ex{\dagger}\kern-.15ex{\dagger}\or
  \else \@ctrerr\fi
}

\def\ack#1{% acknowledgments
 \protected@xdef\@ack{% \@ack
  \protect\footnotetext[0]{#1}}%
}
\let\@ack\@empty

\newcommand{\maketitle}{%
 \@ifundefined{@breakauthorline1}{\breakauthorline{3,6}}{}%
 %%
 \par
 \ifnum \chk@alcnt < \@alcnt
  \ejaps@warning{information of \string\affiliate\space is not specified}%
 \fi
 \begingroup
  \if@offprint
   \@makeOffPrintTitle
   \pagestyle{empty}%
  \else
   \renewcommand{\thefootnote}{\fnsymbol{footnote}}%
   \def\@makefnmark{\hbox{$\m@th^{\@thefnmark}$}}%
   \long\def\@makefntext##1{\small
    \leftskip9mm
    \parindent6mm
    \noindent
    \hbox to \z@{\hss$\m@th^{\@thefnmark}$\ }##1}%
   %%
   \newpage
   \global\@topnum\z@ % Prevents figures from going at top of page.
   \@maketitle
   \thispagestyle{FPejaps}%
   \ifx\@titlenote\empty\else
    \protect\footnotetext[1]{\@titlenote}%
   \fi
   \@eaffiliate
   \@ack
  \fi
 \endgroup
 \setcounter{footnote}{0}%
 \global\let\maketitle\relax
 \global\let\s@title\@empty
 \global\let\d@title\@empty
 \global\let\@subtitle\@empty
 \global\let\title\relax
 \global\let\subtitle\relax
 \global\let\@authorlist\relax
 \global\let\affiliate\relax
 \global\let\output@Eauthorlist\relax
 \global\let\@eaffiliate\@empty
 \@authorcnt\z@
 \loop\ifnum \@authorcnt < \total@nr
  \advance \@authorcnt \@ne
   \global\expandafter\let\csname @Eauthorname\number\@authorcnt\endcsname
    \@empty
 \repeat
}

\def\title@font{\normalfont\itshape\bfseries
 \fontsize{12}{7mm}\selectfont}% 16Q
\def\subtitle@font{\normalfont\itshape
 \fontsize{10.6}{5.75mm}\selectfont}% 14Q (23H??)
\def\author@font{\normalfont
 \fontsize{10.6}{\Cvs}\selectfont}% 14Q (\Cvs??)

% baselineskkip (Cvs) 19H
% title    ____ (28H in title)
% subtitle ____ ^| 30H
% author   ____ ^| 34H
% abstract ____ ^| 52H
%%
% title    ____ 
% author   ____ ^| 34H
% abstract ____ ^| 52H

\def\JAPSpage@range{%
 \@ifundefined{r@japs@lastpage}{\def\get@lp{1}}%
  {\edef\exp@lp{\csname r@japs@lastpage\endcsname}%
   \edef\get@lp{\expandafter\@cdr\exp@lp\@nil}%
  }%
  \expandafter\ifnum\get@lp=\c@page
   \thepage
  \else
   \thepage--\get@lp
  \fi
}

\def\@maketitle{\newpage
 \mbox{}\par
 \vskip-.5\Cvs
 \centering
 {\title@font \@title\unskip
  \ifx\@titlenote\empty\else
   \/$^{*}$%
  \fi
  \par}%
 \ifx\@subtitle\empty
 \else
  \vskip2.75mm % 30-19=11
  {\subtitle@font \@subtitle\par}
 \fi
 \vskip3.75mm %  34-19=15
 {\author@font \output@Eauthorlist\par}% 
 \ifvoid \@abstractbox\else
  \vskip8.25mm % 52-19=33H
  \unhbox\@abstractbox\par
 \fi
 \ifvoid \@keywordsbox\else
  \vskip2.25mm % 9H
  \unhbox\@keywordsbox\par
 \fi
 \mbox{}\par
 \vskip2\Cvs
 %%\@afterheading
}

\def\@makeOffPrintTitle{%
 \bgroup
  \parindent\z@
  \def\topglue{\nointerlineskip \vglue-\topskip \vglue}%
  \topglue21mm
  \centering
  {\itshape\large\@title\par}% \OPtitle@font
  \nointerlineskip
  \vskip8mm
  \leavevmode
  {\output@Eauthorlist}\par% \OPauthor@font
  \vfill
  %\OP@font
  Annals of the Japan Association for Philosophy of Science\par
  \vskip1mm
  {\small Vol.\@Vol
    \if@nono\ \else \unskip,\ No.\@No\ \fi
    (\@Year)}\par
  \nointerlineskip
  \vskip26mm
  \hrule \@height \z@
 \egroup
 \clearpage
}

\setcounter{secnumdepth}{3}
%%\newcounter{part}
\newcounter{section}
\newcounter{subsection}[section]
\newcounter{subsubsection}[subsection]
\newcounter{paragraph}[subsubsection]
\newcounter{subparagraph}[paragraph]
%%\renewcommand{\thepart}{\@Roman\c@part}
\renewcommand{\thesection}{\@arabic\c@section}
\renewcommand{\thesubsection}{\thesection.\@arabic\c@subsection}
\renewcommand{\thesubsubsection}{%
 \thesubsection.\@arabic\c@subsubsection}
\renewcommand{\theparagraph}{%
 \thesubsubsection.\@arabic\c@paragraph}
\renewcommand{\thesubparagraph}{%
 \theparagraph.\@arabic\c@subparagraph}

\def\@afterheading{%
 \global\@nobreaktrue
 \everypar{%
  \if@nobreak
   \global\@nobreakfalse
   \clubpenalty \z@
    \if@afterindent
    \else
     {\setbox\z@=\lastbox}%
    \fi
  \else
   \clubpenalty\@clubpenalty
   \everypar{}%
  \fi}%
}

%% \@startsection{NAME}{LEVEL}{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}
\def\@startsection#1#2#3#4#5#6{\if@noskipsec \leavevmode \fi
   \par \@tempskipa #4\relax
   \@afterindenttrue
   \ifdim \@tempskipa <\z@ \@tempskipa -\@tempskipa \@afterindentfalse\fi
   \if@nobreak
    \everypar{}%
   \else
     \ifnum#2<\thr@@  %% 2(pagetop=1)/*/1 or 1.5(pagetop=0.5)/*/0.5
      \vskip-\prevdepth \prevdepth\z@ \vskip\Cvs
      \advance\@tempskipa-\Cvs
      \advance\@tempskipa-\Cvs
      \vspace{\Cvs}
      \vspace*{\@tempskipa}
     \else
      \vskip-\prevdepth \prevdepth\z@ \vskip\Cvs
      \advance\@tempskipa-\Cvs
      \vspace*{\@tempskipa}
     \fi
   \fi
 \@ifstar{\@ssect{#3}{#4}{#5}{#6}}{\@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}}}}

%% \@sect{NAME}{LEVEL}{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}[ARG1]{ARG2}
%% \ifdim \@tempskipa>\z@ --> \ifdim \@tempskipa<\z@
\def\@sect#1#2#3#4#5#6[#7]#8{%
 \ifnum #2>\c@secnumdepth
  \let\@svsec\@empty
 \else
  \refstepcounter{#1}%
  \protected@edef\@svsec{\@seccntformat{#1}\relax}%
 \fi
  \@tempskipa #5\relax
  \ifdim \@tempskipa<\z@
   \def\@svsechd{%
     #6{\hskip #3\relax
     \@svsec #8}%
   %\csname #1mark\endcsname{#7}%
   %\addcontentsline{toc}{#1}{%
   %  \ifnum #2>\c@secnumdepth \else
   %    \protect\numberline{\csname the#1\endcsname}%
   %  \fi
   % #7}
   }%
  \else
   \begingroup
    #6{%
     \ifnum#2=\@ne
      \centering
     \fi
      \@hangfrom{\hskip #3\relax\@svsec}%
       \interlinepenalty\@M #8\@@par
      }%
   \endgroup
   %\csname #1mark\endcsname{#7}%
   %\addcontentsline{toc}{#1}{%
   %  \ifnum #2>\c@secnumdepth \else
   %   \protect\numberline{\csname the#1\endcsname}%
   %    \fi
   %#7}%
  \fi
  \@xsect{#5}%
}

%% \@ssect{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}{ARG} ==
%% \ifdim \@tempskipa>\z@ --> \ifdim \@tempskipa<\z@
\def\@ssect#1#2#3#4#5{%
 \@tempskipa #3\relax
 \ifdim \@tempskipa<\z@
  \def\@svsechd{#4{\hskip #1\relax #5}}%
 \else
  \begingroup
    #4{%
      \ifdim\@tempskipa>\z@
       \centering
      \fi
      \@hangfrom{\hskip #1}%
       \interlinepenalty\@M #5\@@par
      }%
  \endgroup
 \fi
 \@xsect{#3}%
}

%% \ifdim \@tempskipa>\z@ --> \ifdim \@tempskipa<\z@
\def\@xsect#1{%
  \@tempskipa #1\relax
  \ifdim \@tempskipa<\z@
    \@nobreakfalse
    \global\@noskipsectrue
    \everypar{%
      \if@noskipsec
        \global\@noskipsecfalse
       {\setbox\z@\lastbox}%
        \clubpenalty\@M
        \begingroup \@svsechd \endgroup
        \unskip
        \@tempskipa #1\relax
        \hskip -\@tempskipa
        \pagebreak[2]% v0.40
      \else
        \clubpenalty \@clubpenalty
        \everypar{}%
      \fi}%
  \else
    \par \nobreak
    \vskip \@tempskipa
    \@afterheading
  \fi
  \ignorespaces}

\def\@seccntformat#1{\csname the#1\endcsname
 \csname dotafter@#1\endcsname
 \hskip.75em}
\def\dotafter@section{.}
\def\dotafter@subsection{.}
\def\dotafter@subsubsection{.}
\def\dotafter@paragraph{.}
\def\dotafter@subparagraph{.}

\newcommand{\section}{\@startsection{section}{1}{\z@}%
   {1.5\Cvs \@plus.5\Cvs \@minus.2\Cvs}%
   {.5\Cvs \@plus.3\Cvs \@minus.1\Cvs}%
   {\reset@font\normalsize\bfseries}}
\newcommand{\subsection}{\@startsection{subsection}{2}{\z@}%
   {\Cvs \@plus.5\Cvs \@minus.2\Cvs}%
   {\z@ \@plus.3\Cvs \@minus.1\Cvs}%
   {\reset@font\normalsize\bfseries}}
\newcommand{\subsubsection}{\@startsection{subsubsection}{3}{\z@}%
   {\Cvs \@plus.5\Cvs \@minus.2\Cvs}%
   {\z@ \@plus.3\Cvs \@minus.1\Cvs}%
   {\reset@font\normalsize\bfseries}}
\newcommand{\paragraph}{\@startsection{paragraph}{4}{\z@}%
   {3.25ex \@plus 1ex \@minus .2ex}%
   {-\parindent}%
   {\reset@font\normalsize\bfseries}}
\newcommand{\subparagraph}{\@startsection{subparagraph}{5}{\z@}%
   {3.25ex \@plus 1ex \@minus .2ex}%
   {-\parindent}%
   {\reset@font\normalsize\bfseries}}

\newcommand{\appendix}{\par
 \setcounter{section}{0}%
 \setcounter{subsection}{0}%
 \renewcommand{\thesection}{\@Alph\c@section}
}

\if@twocolumn
  \setlength\leftmargini {2em}
\else
  \setlength\leftmargini {2em}
\fi
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\if@twocolumn
  \setlength\leftmarginv {.5em}
  \setlength\leftmarginvi{.5em}
\else
  \setlength\leftmarginv {1em}
  \setlength\leftmarginvi{1em}
\fi
\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty\z@ % -\@lowpenalty
\@endparpenalty\z@ %   -\@lowpenalty
\@itempenalty\z@ %     -\@lowpenalty

\renewcommand{\theenumi}{\@arabic\c@enumi}
\renewcommand{\theenumii}{\@alph\c@enumii}
\renewcommand{\theenumiii}{\@roman\c@enumiii}
\renewcommand{\theenumiv}{\@Alph\c@enumiv}
\newcommand{\labelenumi}{\theenumi.}
\newcommand{\labelenumii}{(\theenumii)}
\newcommand{\labelenumiii}{\theenumiii.}
\newcommand{\labelenumiv}{\theenumiv.}
\renewcommand{\p@enumii}{\theenumi}
\renewcommand{\p@enumiii}{\theenumi(\theenumii)}
\renewcommand{\p@enumiv}{\p@enumiii\theenumiii}

\renewenvironment{enumerate}
  {\ifnum \@enumdepth >\thr@@\@toodeep\else
   \advance\@enumdepth\@ne
   \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
   \list{\csname label\@enumctr\endcsname}{%
         \ifnum \@listdepth=\@ne \topsep.5\normalbaselineskip
          \else\topsep\z@\fi
         \parskip\z@\itemsep\z@\parsep\z@
         \settowidth{\labelwidth}{\labelenumi}%
         \labelsep.5em
         \ifnum \@enumdepth=\@ne \leftmargin1em\relax
          \else\leftmargin\leftskip\fi
         \advance \leftmargin 1em
         \clubpenalty\z@
         \widowpenalty\z@
         \@itempenalty\z@
         \usecounter{\@enumctr}%
         \def\makelabel##1{\hss\llap{##1}}}%
   \fi}{\endlist}

%\newcommand{\labelitemi}{\textbullet}
\newcommand{\labelitemi}{\leavevmode\hbox to 1em{\hss\textbullet\hss}}
\newcommand{\labelitemii}{{\normalfont\bfseries\textendash}}
\newcommand{\labelitemiii}{\textasteriskcentered}
\newcommand{\labelitemiv}{\textperiodcentered}

\renewenvironment{itemize}
  {\ifnum \@itemdepth >3\relax\@toodeep\else
   \advance\@itemdepth\@ne
   \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
   \expandafter
   \list{\csname \@itemitem\endcsname}{%
         \topsep.5\baselineskip\parsep\z@\partopsep\z@\itemsep\z@
         \labelwidth\parindent
         \labelsep\z@
         \leftmargin\parindent
         \listparindent\parindent
         \clubpenalty\z@
         \widowpenalty\z@
         \@itempenalty\z@
         \def\makelabel##1{\hss\llap{##1}}}%
   \fi}{\endlist}

\newenvironment{description}
  {\list{}{\labelwidth\z@ \itemindent-\leftmargin
     \topsep.5\baselineskip\parsep\z@\partopsep\z@\itemsep\z@
     \let\makelabel\descriptionlabel}}{\endlist}

\newcommand{\descriptionlabel}[1]{%
   \hspace\labelsep\normalfont\bfseries #1}

\newenvironment{verse}
  {\let\\\@centercr
   \list{}{\itemsep\z@
           \topsep.5\baselineskip\parsep\z@\partopsep\z@
           \itemindent -1.5em%
           \listparindent\itemindent
           \rightmargin\leftmargin
           \advance\leftmargin 1.5em}%
           \item\relax}{\endlist}
\newenvironment{quotation}
  {\list{}{%
           \topsep.5\baselineskip\parsep\z@\partopsep\z@
           \listparindent\parindent
           \itemindent\listparindent
           \rightmargin\parindent
           \leftmargin\z@
           }%
           \item\relax}{\endlist}
\newenvironment{quote}
  {\list{}{%
           \topsep.5\baselineskip\parsep\z@\partopsep\z@
           \rightmargin\parindent
           \leftmargin\z@
          }%
           \item\relax}{\endlist}

\gdef\tabbing{\lineskip \z@skip\let\>\@rtab\let\<\@ltab\let\=\@settab
     \let\+\@tabplus\let\-\@tabminus\let\`\@tabrj\let\'\@tablab
     \let\\=\@tabcr
     \@hightab\@firsttab
     \global\@nxttabmar\@firsttab
     \dimen\@firsttab\@totalleftmargin
     \global\@tabpush\z@ \global\@rjfieldfalse
     \topsep\@hlskip \parsep\z@\partopsep\z@
     \trivlist \item\relax
     \if@minipage\else\vskip\parskip\fi
     \setbox\@tabfbox\hbox{%
       \rlap{\hskip\@totalleftmargin\indent\the\everypar}}%
     \def\@itemfudge{\box\@tabfbox}%
     \@startline\ignorespaces}

\newskip\@hlskip
\@hlskip=.5\Cvs \@plus .25\Cvs \@minus .15\Cvs

\newdimen\verbatimleftmargin
  \verbatimleftmargin\z@
\newdimen\verbatimbaselineskip
  \verbatimbaselineskip\baselineskip
\def\verbatimsize{\normalsize}

\def\@verbatim{%
 \interlinepenalty\z@
 \topsep\z@ %\@hlskip
 \partopsep\z@\parsep\z@\itemsep\z@
 \trivlist \item\relax
  \if@minipage\else
   \vskip\baselineskip
   \vskip-\verbatimbaselineskip
   %\vskip\parskip
  \fi
  \leftskip\@totalleftmargin
  \if@minipage\else
   \advance \leftskip by \verbatimleftmargin
  \fi
  \rightskip\z@skip
  \parindent\z@\parfillskip\@flushglue\parskip\z@skip
  \@@par
  \@tempswafalse
  \def\par{%
    \if@tempswa
      \leavevmode \null \@@par\penalty\interlinepenalty
    \else
      \@tempswatrue
      \ifhmode\@@par\penalty\interlinepenalty\fi
    \fi}%
  \let\do\@makeother \dospecials
  \obeylines 
   \verbatimsize \baselineskip\verbatimbaselineskip
   \verbatim@font \@noligs
  \everypar \expandafter{\the\everypar \unpenalty}%
}

%% \def\verbatim@font{\normalfont\ttfamily}

%% from latex.ltx
\def\@item[#1]{%
  \if@noparitem
    \@donoparitem
  \else
    \if@inlabel
      \indent \par
    \fi
    \ifhmode
      \unskip\unskip \par
    \fi
    \if@newlist
      \if@nobreak
        \@nbitem
      \else
        \addpenalty\@beginparpenalty
        \addvspace\@topsep
        \addvspace{-\parskip}%
      \fi
    \else
      \addpenalty\@itempenalty
      \addvspace\itemsep
    \fi
    \global\@inlabeltrue
  \fi
  \everypar{%
    \@minipagefalse
    \global\@newlistfalse
    \if@inlabel
      \global\@inlabelfalse
      {\setbox\z@\lastbox
       \ifvoid\z@
         \kern-\itemindent
       \fi}%
      \box\@labels
      \penalty\z@
    \fi
    \if@nobreak
      \@nobreakfalse
      \clubpenalty\z@ % \@M --> \z@ 
    \else
      \clubpenalty \@clubpenalty
      \everypar{}%
    \fi}%
  \if@noitemarg
    \@noitemargfalse
    \if@nmbrlist
      \refstepcounter\@listctr
    \fi
  \fi
  \sbox\@tempboxa{\makelabel{#1}}%
  \global\setbox\@labels\hbox{%
    \unhbox\@labels
    \hskip \itemindent
    \hskip -\labelwidth
    \hskip -\labelsep
    \ifdim \wd\@tempboxa >\labelwidth
      \box\@tempboxa
    \else
      \hbox to\labelwidth {\unhbox\@tempboxa}%
    \fi
    \hskip \labelsep}%
  \ignorespaces\inhibitglue
}

\newcounter{figure}
\renewcommand{\thefigure}{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename~\thefigure}
\newenvironment{figure}
               {\floatenv\capwidth\hsize
                \abovecaptionskip1mm\belowcaptionskip\z@\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\floatenv\capwidth\hsize
                \abovecaptionskip1mm\belowcaptionskip\z@\@dblfloat{figure}}
               {\end@dblfloat}
\newcounter{table}
\renewcommand{\thetable}{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename~\thetable}
\newenvironment{table}
               {\floatenv\capwidth\hsize
                \abovecaptionskip\z@\belowcaptionskip1.5mm\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\floatenv\capwidth\hsize
                \abovecaptionskip\z@\belowcaptionskip1.5mm\@dblfloat{table}}
               {\end@dblfloat}

\newlength\abovecaptionskip
\newlength\belowcaptionskip

\def\@floatboxreset{%
 \reset@font
 \small\tabcolsep.5em
 \@setminipage
}

\def\Center{\topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
 \trivlist \centering\item\relax}
\def\endCenter{\endtrivlist}

\def\floatenv{%
 \if@cameraready
  \def\center{%
   \leavevmode
   \hbox to \hsize\bgroup\hss
   \ignorespaces
  }%
  \def\endcenter{%
   \hss\egroup
   \ignorespaces
  }%
 \else
  \let\center\Center
  \let\endcenter\endCenter
 \fi
}

\long\def\@caption#1[#2]#3{\par
 \begingroup
  \@parboxrestore
  \if@minipage
   \@setminipage
  \fi
  \small
  \@makecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}\par
 \endgroup}

\newbox\@tempboxb
\newdimen\capwidth
\let\capnum@font\relax

\long\def\@makecaption#1#2{%
 \vskip\abovecaptionskip
 \def\arg@cap{#2}%
 \ifx\arg@cap\empty
  \hbox to\hsize{\hss #1\hss}%
 \else
  \setbox\@tempboxa\hbox{{\capnum@font #1}\hskip1em\shortstack[l]{#2}}%
  \@tempdima=\ht\@tempboxa\advance \@tempdima by \dp\@tempboxa
  \setbox\@tempboxb\hbox{\capnum@font #1\hskip1em}%
  \ifdim \@tempdima > \baselineskip
   \ifdim \wd\@tempboxa > \capwidth
    \hfil\parbox[t]{\capwidth}{\hangindent\wd\@tempboxb 
     {\capnum@font #1}\hskip1em #2}\par
     \hrule height \z@
   \else
    \hfil\parbox[t]{\wd\@tempboxa}{\hangindent\wd\@tempboxb 
     {\capnum@font #1}\hskip1em #2}\par
     \hrule height \z@
   \fi
  \else
   \ifdim \wd\@tempboxa > \capwidth
    \hfil\parbox[t]{\capwidth}{\hangindent\wd\@tempboxb 
     {\capnum@font #1}\hskip1em #2}\par
     \hrule height \z@
   \else
    \hbox to\hsize{\hss\box\@tempboxa\hss}%
   \fi
  \fi
 \fi
 \vspace{\belowcaptionskip}%
}

\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{.5em}% 6\p@
\setlength\arrayrulewidth{.12mm}% .4\p@
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{.5em}% 3\p@
\setlength\fboxrule{.12mm}% .4\p@

\renewcommand{\theequation}{\@arabic\c@equation}

\@ifundefined{mathmc}{}{%
 \if@enablejfam
  \if@compatibility\else
    \DeclareSymbolFont{mincho}{JY1}{mc}{m}{n}
    \DeclareSymbolFontAlphabet{\mathmc}{mincho}
    \SetSymbolFont{mincho}{bold}{JY1}{gt}{m}{n}
    \jfam\symmincho
    \DeclareMathAlphabet{\mathgt}{JY1}{gt}{m}{n}
  \fi
  \if@mathrmmc
    \AtBeginDocument{%
    \reDeclareMathAlphabet{\mathrm}{\mathrm}{\mathmc}
    \reDeclareMathAlphabet{\mathbf}{\mathbf}{\mathgt}
  }%
  \fi
 \else
  \DeclareRobustCommand{\mathmc}{%
    \@latex@error{Command \noexpand\mathmc invalid with\space
       `disablejfam' class option.}\@eha
  }
  \DeclareRobustCommand{\mathgt}{%
    \@latex@error{Command \noexpand\mathgt invalid with\space
       `disablejfam' class option.}\@eha
  }
 \fi
}

\@ifundefined{mathmc}{}{%
 \DeclareOldFontCommand{\mc}{\normalfont\mcfamily}{\mathmc}
 \DeclareOldFontCommand{\gt}{\normalfont\gtfamily}{\mathgt}
}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*{\cal}{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*{\mit}{\@fontswitch\relax\mathnormal}

\newdimen\bibindent
\setlength\bibindent{1.5em}
\newcommand{\newblock}{\hskip .11em\@plus.33em\@minus.07em}

\newenvironment{thebibliography}[1]
 {\small\baselineskip4.25mm
  \renewcommand{\section}{\@startsection{section}{1}{\z@}%
   {1.5\Cvs \@plus.3\Cvs \@minus.2\Cvs}%
   {.5\Cvs \@plus.3\Cvs \@minus.1\Cvs}%
   {\reset@font\small\bfseries}}%
  \section*{\bibname}%
   \list{\@biblabel{\@arabic\c@enumiv}}%
        {\settowidth\labelwidth{\@biblabel{#1}}%
         \leftmargin\labelwidth
         \advance\leftmargin\labelsep
         \topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
         \@openbib@code
         \usecounter{enumiv}%
         \let\p@enumiv\@empty
         \renewcommand\theenumiv{\@arabic\c@enumiv}}%
   \sloppy
   \clubpenalty\z@
   \@clubpenalty\clubpenalty
   \widowpenalty\z@
   \sfcode`\.\@m}
  {\def\@noitemerr
    {\@latex@warning{Empty `thebibliography' environment}}%
   \endlist}
\let\@openbib@code\@empty

\def\@biblabel#1{[#1]}

\newenvironment{references}
 {%
  \renewcommand{\section}{\@startsection{section}{1}{\z@}%
   {1.5\Cvs \@plus.3\Cvs \@minus.2\Cvs}%
   {.5\Cvs \@plus.3\Cvs \@minus.1\Cvs}%
   {\reset@font\small\bfseries}}%
   \section*{\refname}
   \list{}%
        {\small\baselineskip4.25mm
         \topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
         \leftmargin9.75mm % 3zw
         %\labelsep\z@
         \listparindent\z@
         \itemindent-9.75mm %3zw
         %\let\item\ref@item
         \@openbib@code
         \let\p@enumiv\@empty
         \renewcommand\theenumiv{\@arabic\c@enumiv}
   }%
   \sloppy
   \clubpenalty\z@
   \@clubpenalty\clubpenalty
   \widowpenalty\z@
   \sfcode`\.\@m}
  {\endlist}

\def\sameabove{\leavevmode
 \hbox to 9.75mm{\leaders \hrule height 0.85mm depth -0.75mm\hfil}\ }

\def\@acceptance{\par
 \ifx \@received\empty\else
  \noindent\hfill
  (\@received\@revised\@secondrevised\@accepted)\par
 \fi}

\def\received#1#2#3{%
 \gdef\@received{Received\ \ignorespaces #1\unskip.\ignorespaces #2\unskip.%
  \ignorespaces #3\unskip}}
\def\revised#1#2#3{\protected@xdef\@revised{\@revised
  ; Revised\ \ignorespaces #1\unskip.%
  \ignorespaces #2.\unskip \ignorespaces #3\unskip}%
}
\def\secondrevised#1#2#3{%
 \gdef\@secondrevised{; Second Revised\ \ignorespaces #1\unskip.%
  \ignorespaces #2\unskip.\ignorespaces #3\unskip}}
\def\accepted#1#2#3{%
 \gdef\@accepted{; Accepted\ \ignorespaces #1\unskip.%
  \ignorespaces #2\unskip.\ignorespaces #3\unskip}}
\def\@received{}
\def\@revised{}
\def\@secondrevised{}
\def\@accepted{}

\renewcommand{\footnoterule}{%
  \kern-3\p@
  \hrule width 45mm
  \kern 2.6\p@}

\let\org@footnote\footnote
\def\footnote{\unskip\inhibitglue\penalty\@M\org@footnote}

%\def\@makefnmark{\hbox{$\m@th^{\@thefnmark}$}}%
\long\def\@makefntext#1{\small
 \leftskip9mm
 \parindent6mm % 12Qx2
 \noindent
 \hbox to \z@{\hss$\m@th^{\@thefnmark}$\ }#1}%

%\def\thefootnote{\fnsymbol{footnote}}
\def\thefootnote{\@arabic{\c@footnote}}

%% centering eqnarray
\def\eqnarray{%
   \stepcounter{equation}%
   \def\@currentlabel{\p@equation\theequation}%
   \global\@eqnswtrue
   \m@th
   \global\@eqcnt\z@
   \tabskip\@centering
   \let\\\@eqncr
   $$\everycr{}\halign to\displaywidth\bgroup
       \hskip\@centering$\displaystyle\tabskip\z@skip{##}$\@eqnsel
      &\global\@eqcnt\@ne\hskip .8\arraycolsep \hfil${##}$\hfil %% \tw@
      &\global\@eqcnt\tw@ \hskip .8\arraycolsep                 %% 
         $\displaystyle{##}$\hfil\tabskip\@centering
      &\global\@eqcnt\thr@@ \hb@xt@\z@\bgroup\hss##\egroup
         \tabskip\z@skip
      \cr
}
%\def\endeqnarray{%
%      \@@eqncr
%      \egroup
%      \global\advance\c@equation\m@ne
%   $$\@ignoretrue
%}

\def\@begintheorem#1#2{%
 \topsep\z@\parsep\z@\itemsep\z@\partopsep\z@ \labelsep1em
 \trivlist
   \item[\hskip \labelsep{\bfseries #1\ #2}]\itshape}
\def\@opargbegintheorem#1#2#3{%
 \topsep\z@\parsep\z@\itemsep\z@\partopsep\z@ \labelsep1em
 \trivlist
   \item[\hskip \labelsep{\bfseries #1\ #2\ (#3)}]\itshape}
\def\@endtheorem{\endtrivlist}

%\newcommand\contentsname{Contents}
%\newcommand\listfigurename{List of Figures}
%\newcommand\listtablename{List of Tables}
\newcommand{\bibname}{References}
\let\refname\bibname
%%\newcommand{\indexname}{}
\newcommand{\figurename}{Figure}
\newcommand{\tablename}{Table}
\newcommand{\appendixname}{Appendix}
%%\newcommand{\abstractname}{Abstract:\ }

\def\sloppy{\tolerance9999\hbadness9999\hfuzz.5\p@ \vfuzz.5\p@}

\hbadness4000
%\vbadness10001
\tolerance4000\pretolerance\m@ne
\clubpenalty\z@
\widowpenalty\z@

\AtBeginDocument{%
 \displaywidowpenalty\z@
 \interdisplaylinepenalty\z@
 \predisplaypenalty\z@
 \postdisplaypenalty\z@
 %% cmex7,8,9 --> void
 \@ifundefined{cmex@opt}{%
  \DeclareFontFamily{OMX}{cmex}{}{}%
  \DeclareFontShape{OMX}{cmex}{m}{n}{%
   <->    cmex10
  }{}%
 }{%
  \ifnum\cmex@opt=7\relax
   \DeclareFontFamily{OMX}{cmex}{}{}%
   \DeclareFontShape{OMX}{cmex}{m}{n}{%
    <->    cmex10
   }{}%
  \fi
 }%
 %% pstricks
 %\@ifundefined{psset}{}{\psset{unit=1mm}}%
 %% nidanfloat
 \@ifundefined{dblbotfraction}{}{%
  \renewcommand\dblbotfraction{0.9}% 0.5
  \setcounter{dblbotnumber}{4}% 2
 }%
 %% here.sty
 \@ifundefined{@HHfloat}{}{%
  \def\@HHfloat#1[H]{%
   \expandafter\let\csname end#1\endcsname\end@Hfloat
   \vskip\intextsep
   \vbox\bgroup\def\@captype{#1}\parindent\z@
   \@floatboxreset %% added
   \ignorespaces}%
  \def\end@Hfloat{\egroup\vskip-3.25mm %% added
   \vskip \intextsep}%
 }%
}

\AtEndDocument{%
 \nopagebreak
 \vskip\Cvs \@plus .25\Cvs \@minus .25\Cvs
 \nopagebreak
 \bgroup
  \footnotesize
  \@acceptance\par
 \egroup
 \clearpage
 \addtocounter{page}{-1}%
 \immediate\write\@auxout
  {\string\newlabel{japs@lastpage}{{}{\thepage}}}%
 %\addtocounter{page}{1}%
}

\pagestyle{ejaps}
\pagenumbering{arabic}
\raggedbottom
\if@twocolumn
 \twocolumn
 \sloppy
\else
 \onecolumn
\fi
\if@twoside
  \@mparswitchtrue
\else
  \@mparswitchfalse
\fi
\endinput
